Litecoin Mining on Mac OS X – Solving Library Errors

20

Posted by Cynic | Posted in Uncategorized | Posted on 08-04-2013

Tags: , ,

I have FINALLY managed to get an LTC miner running on my Mac. The basic problem was that unless you do a lot of development on a Mac, you’re unlikely to have your machine set up properly for mining, and you’ll get missing library errors from the miner –  libidn.11.dylib and libssl.1.0.0.dylib.

(I generally find that OS X is simply a shiny version of Unix that’s harder to use. Getting a miner running was further confirmation that anyone who is considering a Mac should just get some blazing fast hardware and slap on some Linux distro. But I digress… On to mining Litecoin on a Mac!)

First, upgrade OS X to 10.8 or whatever. Apple never supports anything older than from last week, so might as well get up to date.

Next, install the most recent version of Xcode, which is 4.6.1 at the moment. Why do you need to install development tools to mine litecoin? Because it’s a Mac. That’s why.

Once you’ve got that installed, install MacPorts. You’ll need to install some other things before installing that, but MacPorts walks you through it quite well.

Once you’ve got that done, you’ll need to make certain that you have the right libraries available for the miner. Open a terminal and run the following:

sudo port selfupdate

sudo port clean wget
sudo port install wget

sudo port clean openssl
sudo port install openssl

Otherwise you may end up with errors about missing libraries: libidn.11.dylib and libssl.1.0.0.dylib.

You’re then ready for the miner:

https://bitcointalk.org/index.php?topic=55038.msg654850#msg654850

Download the Mac OS X binary, unzip it, then follow the directions in the readme file, and you should be up and running real quick.

Hope that helps someone get started with the silver of digital crypto-currencies, LITECOIN!

Cheers,

Ryan